# GoWiki

## Startseite

Ein kleines, in Go gebasteltes Wiki.  
Jede Seite kann über den `Edit` Button oben rechts in der Ecke bearbeitet werden.  
Der Obere Teil der Sidebar kommt aus der Datei `sidebar.md` (kann auch über den Link: [/sidebar](/sidebar) aufgerufen werden).  
Der untere Teil der Sidebar wird dynmaisch zur Laufzeit generiert und spiegelt den Inhalt des `data`-Ordners wieder.  

Eine Hilfe der Markdown-Syntax kann man unter [/hilfe](/hilfe) einsehen.  
Unter [/playground](/playground) gibt es eine Test-Seite zum Testen.  

Standardmäßig wird das Wiki unter der `http://127.0.0.1` und dem Port `8000` gestartet und verwendet die `*.md` Files, welche sich im Unterverzeichnis `./data` befinden.  
Diese Einstellungen können durch eine `config.json` im Start-Verzeichnis geändert werden:

Eine `config.json` könnte z.B. wie folgt aussehen:
```
{
    "Host":"http://127.0.0.1",
    "Port":"8000",
    "DataPath":"./data"
}
```